Qt 5.6 | Qt 3D | C++ Classes | QAbstractPhysicalDevice

Qt 5.6.3 Reference Documentation

# QAbstractPhysicalDevice Class

(Qt3DInput::QAbstractPhysicalDevice)

Header: | #include <QAbstractPhysicalDevice>
qmake: | QT += 3dinput
Since: | Qt 5.6
Instantiated By: | AbstractPhysicalDevice
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DInput::QKeyboardController and Qt3DInput::QMouseController

- List of all members, including inherited members

## Public Functions

| QAbstractPhysicalDevice(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAbstractPhysicalDevice()
void | addAxisSetting(QAxisSetting *axisSetting)
virtual int | axisCount() const = 0
virtual int | axisIdentifier(const QString &name) const = 0
virtual QStringList | axisNames() const = 0
QVector<QAxisSetting *> | axisSettings() const
virtual int | buttonCount() const = 0
virtual int | buttonIdentifier(const QString &name) const = 0
virtual QStringList | buttonNames() const = 0
void | removeAxisSetting(QAxisSetting *axisSetting)

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractPhysicalDevice(QAbstractPhysicalDevicePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Member Function Documentation

### QAbstractPhysicalDevice::QAbstractPhysicalDevice(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAbstractPhysicalDevice.

### `[protected]` QAbstractPhysicalDevice::QAbstractPhysicalDevice(QAbstractPhysicalDevicePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QAbstractPhysicalDevice::~QAbstractPhysicalDevice()

Destroys the instance of QAbstractPhysicalDevice.

### void QAbstractPhysicalDevice::addAxisSetting(QAxisSetting *axisSetting)

### `[pure virtual]` int QAbstractPhysicalDevice::axisCount() const

### `[pure virtual]` int QAbstractPhysicalDevice::axisIdentifier(const QString &name) const

### `[pure virtual]` QStringList QAbstractPhysicalDevice::axisNames() const

### QVector<QAxisSetting *> QAbstractPhysicalDevice::axisSettings() const

### `[pure virtual]` int QAbstractPhysicalDevice::buttonCount() const

### `[pure virtual]` int QAbstractPhysicalDevice::buttonIdentifier(const QString &name) const

### `[pure virtual]` QStringList QAbstractPhysicalDevice::buttonNames() const

### `[protected]` void QAbstractPhysicalDevice::copy(const Qt3DCore::QNode *ref)

### void QAbstractPhysicalDevice::removeAxisSetting(QAxisSetting *axisSetting)